Subject: undefined reference to `___w32_sharedptr_initialize'
From: David Starks-Browning <[email-masked]>
To: Jean-Luc Vay <[email-masked]>
Cc: [email-masked]
Date: Thu, 6 Mar 2003 20:01:59 +0000

On Thursday 6 Mar 03, Jean-Luc Vay writes:
> I have just updated cygwin on a Windows2000 pc and recompiled a code.
> At the linking phase, I now get the following error message:
> 
> gcc -shared -Wl,--enable-auto-image-base -Wl,--export-all-symbols \
> -Wl,--allow-multiple-definition \
> -o warpC.dll warpC.o toppymodule.o envpymodule.o w3dpymodule.o 
> f3dpymodule.o wxy
> pymodule.o fxypymodule.o wrzpymodule.o frzpymodule.o cirpymodule.o 
> herpymodule.o
>  chopymodule.o top.p.o env.p.o w3d.p.o f3d.p.o wxy.p.o fxy.p.o wrz.p.o 
> frz.p.o c
> ir.p.o her.p.o cho.p.o pybasisC.o env.o frz.o wxy.o f3d.o fxy.o util.o 
> w3d.o dto
> p.o f3d_mgrid.o f3d_conductors.o fxy_mgrid.o frz_mgrid.o dw3d.o dwrz.o 
> fft.o top
> .o wrz.o cir.o her.o cho.o pmath_rng.o  ranf.o initpgfortran.o \
> -L/usr/local/LAPACK -llapack_CYGWIN -lblas_CYGWIN \
> c:/cygwin/lib/python2.2/site-packages/Numeric*/*/*/*.o \
  ^^

I could be wrong, but I wouldn't expect this to work.  Use Cygwin
(POSIX) paths to refer to object files on the gcc command line.

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/